function [L] = ConstructLocalRegOperatorGaussianBZLN(Nodes, SigmaSq, BaseIndexInG)

[K] = ComputeGaussianKernelL(Nodes, SigmaSq);

%%% construct the null operator
    IndMat = zeros(size(K));
    IndMat(:,BaseIndexInG) = 1;
    LIdxMat = eye(size(K))-IndMat;
    %%% add linear functions to the null space
        X = Nodes;
        try
            PInvX = inv(X'*X)*X';
        catch
            PInvX = pinv(X);
        end
        LIdxMat = X*PInvX*LIdxMat;
        LIdxMat = eye(size(LIdxMat))-IndMat-LIdxMat;
    %%% add linear functions to the null space
%%% construct the null operator

try
    L = inv(K);
catch
    L = pinv(K);
end

%%% subtract out the null space
    L = LIdxMat'*L*LIdxMat;
%%% subtract out the null space
